/* Initialize the NTL module. 
 Currently this enable error catching.
 */
install(init_ntl,"v",,"~/gp/ntl/ntl.so");
init_ntl();

install(ntlfactorff,"GLG",,"~/gp/ntl/ntl.so");
install(ntlpolrootsff,"GLG",,"~/gp/ntl/ntl.so");

install(ntlffinit,"GLDn",,"~/gp/ntl/ntl.so");
addhelp(ntlffinit,"(p,n,{v}): Compute an irreducible polynomial (in the variable v) over F_p, using Shoup algorithm");

install(ntlfactormod,"GG",,"~/gp/ntl/ntl.so");
addhelp(ntlfactormod,"(T,p): factor polynomial T over Z/pZ[X] using Berlekamp algorithm");

install(ntlfactorcantor,"GG",,"~/gp/ntl/ntl.so");
addhelp(ntlfactorcantor,"(T,p): factor polynomial T over Z/pZ[X] using Cantor-Zassenhaus algorithm");

install(ntlfactor,"GD0,L,",,"~/gp/ntl/ntl.so");
addhelp(ntlfactor,"(P,bnd): factor polynomial T over Z[X]");

install(ntlfactorial,"L",,"~/gp/ntl/ntl.so");
addhelp(ntlfactorial,"(n): compute n! with GMP");
